Skip to main content
GET
/
v1
/
devboxes
/
disk_snapshots
/
list_public
List public disk snapshots.
curl --request GET \
  --url https://api.runloop.ai/v1/devboxes/disk_snapshots/list_public \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.runloop.ai/v1/devboxes/disk_snapshots/list_public"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.runloop.ai/v1/devboxes/disk_snapshots/list_public', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "snapshots": [
    {
      "id": "<string>",
      "create_time_ms": 123,
      "metadata": {},
      "source_devbox_id": "<string>",
      "name": "<string>",
      "source_blueprint_id": "<string>",
      "commit_message": "<string>",
      "size_bytes": 123
    }
  ],
  "has_more": true,
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

devbox_id
string

Devbox ID to filter by.

source_blueprint_id
string

Source Blueprint ID to filter snapshots by.

metadata[key]
string

Filter snapshots by metadata key-value pair. Can be used multiple times for different keys.

metadata[key][in]
string

Filter snapshots by metadata key with multiple possible values (OR condition).

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

200 - application/json

OK

snapshots
object[]
required

List of snapshots matching filter.

has_more
boolean
required
total_count
integer<int32> | null